package com.mortals.xhx.module.resource.web;

import com.mortals.framework.model.Context;
import com.mortals.framework.web.BaseCRUDJsonBodyMappingController;
import com.mortals.xhx.module.resource.model.ResourceImageEntity;
import com.mortals.xhx.module.resource.service.ResourceImageService;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RestController;

import java.util.HashMap;
import java.util.Map;

@RestController
@RequestMapping("resourceImage")
public class ResourceImageController extends BaseCRUDJsonBodyMappingController<ResourceImageService, ResourceImageEntity,Long> {

    public ResourceImageController(){
        super.setModuleDesc( "产品分类");
    }

    @Override
    protected void init(Map<String, Object> model, Context context) {
        Map<String,String> imageType = new HashMap<>();
        imageType.put("1","名片背景");
        this.addDict(model, "shelves", imageType);
        super.init(model, context);
    }
}
